{% macro _link(label, href, new_tab = false) %}
  <li class="nav-item mb-0">
    {% if new_tab %}
      <a
        href="{{ href }}"
        target="_blank"
        class="icon-link nav-link p-0 my-1 text-bg-dark"
        aria-label="{{ label }} (öffnet in neuem Tab)"
      >
        {{ label }}
        <svg class="bi" aria-hidden="true">
          <use xlink:href="#box-arrow-up-right"></use>
        </svg>
      </a>
    {% else %}
      <a href="{{ href }}" class="nav-link p-0 my-1 text-bg-dark">
        {{ label }}
      </a>
    {% endif %}
  </li>
{% endmacro %}

{% macro _rss_link(label, href) %}
  <li class="nav-item mb-0">
    <a
      href="{{ href }}"
      class="nav-link p-0 my-1 text-bg-dark"
      aria-label="{{ label }} (RSS Feed)"
    >
      {{ label }}
      <i class="bi bi-rss ms-1" aria-hidden="true"></i>
    </a>
  </li>
{% endmacro %}

{% macro footer(base) %}
  <footer class="text-bg-dark py-5">
    <div class="container overflow-hidden">
      <div class="row g-5">
        <h2 class="visually-hidden">Fußzeile</h2>
        <div class="col-md-6 col-lg-3">
          <h3 class="fs-5 mb-3">FIM Seiten</h3>
          <ul class="nav flex-column">
            {{ _link("FIM Portal", "/") }}
            {{ _link("Dokumentation", base.docs_link, true) }}
            {{ _link("API", "/docs", true) }}
            {{ _link("OpenCoDE Repository", "https://gitlab.opencode.de/fitko/fim/portal", true) }}
          </ul>
        </div>
        <div class="col-md-6 col-lg-3">
          <h3 class="fs-5 mb-3">Navigation</h3>
          <ul class="nav flex-column">
            {{ _link("Home", "/") }}
            {{ _link("Was ist FIM?", "ueber-fim") }}
            {{ _link("Schulung", "/schulung") }}
            {{ _link("Arbeitsmittel", "/arbeitsmittel") }}
            {{ _link("Kataloge", "/kataloge") }}
            {{ _link("News", "/news") }}
            {{ _link("Kontakt", "/kontakt") }}
            {{ _link("Bausteinsuche", "/search") }}
          </ul>
        </div>
        <div class="col-md-6 col-lg-3">
          <h3 class="fs-5 mb-3">Rechtliches</h3>
          <ul class="nav flex-column">
            {{ _link("Impressum", "https://www.fitko.de/impressum", true) }}
            {{ _link("Datenschutz", "/datenschutz", false) }}
            {{ _link("Barrierefreiheit", "/barrierefreiheit", false) }}
          </ul>

          <h3 class="fs-5 mb-3 mt-5">RSS Feeds</h3>
          <ul class="nav flex-column">
            {{ _rss_link("News", "/news.rss") }}
            {{ _rss_link("Leistungen", "/tools/rss/services") }}
            {{ _rss_link("Datenfelder", "/tools/rss/schemas") }}
            {{ _rss_link("Prozesse", "/tools/rss/processes") }}
          </ul>
        </div>
        <div class="col-md-6 col-lg-3">
          <h3 class="fs-5 mb-3">Kontakt</h3>
          <p>{{ base.footer_contact_text }}</p>
          <a
            href="mailto:{{ base.central_support_email }}"
            class="btn btn-primary"
            >Zentraler Support
            <i class="bi bi-envelope-fill ms-1"></i>
          </a>
        </div>
      </div>
    </div>
  </footer>
{% endmacro %}
